librevenge::RVNGSVGDrawingGenerator Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
librevenge::RVNGSVGDrawingGenerator Class Reference

`#include <RVNGSVGDrawingGenerator.h>`

Inheritance diagram for librevenge::RVNGSVGDrawingGenerator:

## Public Member Functions
| RVNGSVGDrawingGenerator (RVNGStringVector &vec, const RVNGString &nmspace)
| ~RVNGSVGDrawingGenerator ()
void | startDocument (const RVNGPropertyList &propList)
void | endDocument ()
void | setDocumentMetaData (const RVNGPropertyList &propList)
| Called when all document metadata should be set.
void | defineEmbeddedFont (const RVNGPropertyList &propList)
| Called when an embedded font should be defined.
void | startPage (const RVNGPropertyList &propList)
void | endPage ()
void | startMasterPage (const RVNGPropertyList &propList)
void | endMasterPage ()
void | startLayer (const RVNGPropertyList &propList)
void | endLayer ()
void | startEmbeddedGraphics (const RVNGPropertyList &propList)
void | endEmbeddedGraphics ()
void | openGroup (const RVNGPropertyList &propList)
void | closeGroup ()
void | setStyle (const RVNGPropertyList &propList)
void | drawRectangle (const RVNGPropertyList &propList)
void | drawEllipse (const RVNGPropertyList &propList)
void | drawPolyline (const RVNGPropertyList &propList)
void | drawPolygon (const RVNGPropertyList &propList)
void | drawPath (const RVNGPropertyList &propList)
void | drawGraphicObject (const RVNGPropertyList &propList)
| Called when a binary/raster object should be inserted.
void | drawConnector (const RVNGPropertyList &propList)
| Draw a connector.
void | startTextObject (const RVNGPropertyList &propList)
void | endTextObject ()
void | startTableObject (const RVNGPropertyList &propList)
| Called when a table should be opened.
void | openTableRow (const RVNGPropertyList &propList)
| Called when a new table row is opened.
void | closeTableRow ()
| Called when the current table row is closed.
void | openTableCell (const RVNGPropertyList &propList)
| Called when a new table cell is opened.
void | closeTableCell ()
| Called when the current table cell is closed.
void | insertCoveredTableCell (const RVNGPropertyList &propList)
| Called when a covered (spanned by another cell in the table) table cell is opened.
void | endTableObject ()
| Called when the current table is closed.
void | openOrderedListLevel (const RVNGPropertyList &propList)
| Called when a new ordered list level should be opened.
void | closeOrderedListLevel ()
| Called when an unordered list level should be closed.
void | openUnorderedListLevel (const RVNGPropertyList &propList)
| Called when a new unordered list level should be opened.
void | closeUnorderedListLevel ()
| Called when an ununordered list level should be closed.
void | openListElement (const RVNGPropertyList &propList)
| Called when a list element should be opened.
void | closeListElement ()
| Called when a list element should be closed.
void | defineParagraphStyle (const RVNGPropertyList &propList)
void | openParagraph (const RVNGPropertyList &propList)
| Called when a new paragraph is opened.
void | closeParagraph ()
| Called when a paragraph is closed.
void | defineCharacterStyle (const RVNGPropertyList &propList)
void | openSpan (const RVNGPropertyList &propList)
| Called when a text span is opened.
void | closeSpan ()
| Called when a text span is closed.
void | openLink (const RVNGPropertyList &propList)
| Called when a link should be opened.
void | closeLink ()
| Called when the current link is closed.
void | insertTab ()
| Called when a TAB character should be inserted.
void | insertSpace ()
| Called when an explicit space should be inserted.
void | insertText (const RVNGString &text)
| Called when a string of text should be inserted.
void | insertLineBreak ()
| Called when a line break should be inserted.
void | insertField (const RVNGPropertyList &propList)
| Called when a field should be inserted.
Public Member Functions inherited from librevenge::RVNGDrawingInterface
virtual | ~RVNGDrawingInterface ()

## Private Member Functions
| RVNGSVGDrawingGenerator (const RVNGSVGDrawingGenerator &)
RVNGSVGDrawingGenerator & | operator= (const RVNGSVGDrawingGenerator &)

## Private Attributes
RVNGSVGDrawingGeneratorPrivate * | m_pImpl

## Constructor & Destructor Documentation

## ◆ RVNGSVGDrawingGenerator() [1/2]

librevenge::RVNGSVGDrawingGenerator::RVNGSVGDrawingGenerator | ( | RVNGStringVector & | vec,
|  | const RVNGString & | nmspace )

## ◆ ~RVNGSVGDrawingGenerator()

librevenge::RVNGSVGDrawingGenerator::~RVNGSVGDrawingGenerator | ( |  | ) |

## ◆ RVNGSVGDrawingGenerator() [2/2]

librevenge::RVNGSVGDrawingGenerator::RVNGSVGDrawingGenerator | ( | const RVNGSVGDrawingGenerator & |  | ) |
| private

## Member Function Documentation

## ◆ closeGroup()

void librevenge::RVNGSVGDrawingGenerator::closeGroup | ( |  | ) |
| virtual

Implements librevenge::RVNGDrawingInterface.

## ◆ closeLink()

void librevenge::RVNGSVGDrawingGenerator::closeLink | ( |  | ) |
| virtual

Called when the current link is closed.

Implements librevenge::RVNGDrawingInterface.

## ◆ closeListElement()

void librevenge::RVNGSVGDrawingGenerator::closeListElement | ( |  | ) |
| virtual

Called when a list element should be closed.

Implements librevenge::RVNGDrawingInterface.

## ◆ closeOrderedListLevel()

void librevenge::RVNGSVGDrawingGenerator::closeOrderedListLevel | ( |  | ) |
| virtual

Called when an unordered list level should be closed.

Implements librevenge::RVNGDrawingInterface.

## ◆ closeParagraph()

void librevenge::RVNGSVGDrawingGenerator::closeParagraph | ( |  | ) |
| virtual

Called when a paragraph is closed.

Implements librevenge::RVNGDrawingInterface.

## ◆ closeSpan()

void librevenge::RVNGSVGDrawingGenerator::closeSpan | ( |  | ) |
| virtual

Called when a text span is closed.

Implements librevenge::RVNGDrawingInterface.

## ◆ closeTableCell()

void librevenge::RVNGSVGDrawingGenerator::closeTableCell | ( |  | ) |
| virtual

Called when the current table cell is closed.

Implements librevenge::RVNGDrawingInterface.

## ◆ closeTableRow()

void librevenge::RVNGSVGDrawingGenerator::closeTableRow | ( |  | ) |
| virtual

Called when the current table row is closed.

Implements librevenge::RVNGDrawingInterface.

## ◆ closeUnorderedListLevel()

void librevenge::RVNGSVGDrawingGenerator::closeUnorderedListLevel | ( |  | ) |
| virtual

Called when an ununordered list level should be closed.

Implements librevenge::RVNGDrawingInterface.

## ◆ defineCharacterStyle()

void librevenge::RVNGSVGDrawingGenerator::defineCharacterStyle | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGDrawingInterface.

## ◆ defineEmbeddedFont()

void librevenge::RVNGSVGDrawingGenerator::defineEmbeddedFont | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when an embedded font should be defined.

Parameters

  propList | A set of properties that specify the font. May contain: `librevenge:name` The name of the font `librevenge:mime-type` The mimetype of the font `office:binary-data` The font data `librevenge:replacement-objects` A property list vector containing alternative formats of the font. Every element is a property list containing: `librevenge:mime-type` The mimetype of the replacement object `office:binary-data` The replacement object data

Implements librevenge::RVNGDrawingInterface.

## ◆ defineParagraphStyle()

void librevenge::RVNGSVGDrawingGenerator::defineParagraphStyle | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGDrawingInterface.

## ◆ drawConnector()

void librevenge::RVNGSVGDrawingGenerator::drawConnector | ( | const RVNGPropertyList & | propList | ) |
| virtual

Draw a connector.

The connector will be typically between two shapes, but free-standing connectors are allowed too.

Parameters

  propList | Defines a set of properties for the object. May contain: `draw:end-shape` The `ID` of the shape attached at the end. Should not be present if the connector's end is not attached to any object. `draw:start-shape` The `ID` of the shape attached at the beginning. Should not be present if the connector's start is not attached to any object. `svg:d` The connector's geometric path. This is optional; if missing, the consumer is free to render it any way it likes. `svg:x1` The `X` coordinate of the start point. `svg:y1` The `Y` coordinate of the start point. `svg:x2` The `X` coordinate of the end point. `svg:y2` The `Y` coordinate of the end point.

Implements librevenge::RVNGDrawingInterface.

## ◆ drawEllipse()

void librevenge::RVNGSVGDrawingGenerator::drawEllipse | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGDrawingInterface.

## ◆ drawGraphicObject()

void librevenge::RVNGSVGDrawingGenerator::drawGraphicObject | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a binary/raster object should be inserted.

Parameters

  propList | Defines a set of properties for the object. May contain: `librevenge:mime-type` The mimetype of the object `office:binary-data` The object data `librevenge:replacement-objects` A property list vector containing alternative representations of the content. Every element is a property list containing: `librevenge:mime-type` The mimetype of the replacement object `office:binary-data` The replacement object data `librevenge:replacement-text` A string containing a text representation of the content.

Note
  to insert a MathMl file, set the mimetype value to "application/mathml-presentation+xml" or "application/mathml+xml".

Implements librevenge::RVNGDrawingInterface.

## ◆ drawPath()

void librevenge::RVNGSVGDrawingGenerator::drawPath | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGDrawingInterface.

## ◆ drawPolygon()

void librevenge::RVNGSVGDrawingGenerator::drawPolygon | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGDrawingInterface.

## ◆ drawPolyline()

void librevenge::RVNGSVGDrawingGenerator::drawPolyline | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGDrawingInterface.

## ◆ drawRectangle()

void librevenge::RVNGSVGDrawingGenerator::drawRectangle | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGDrawingInterface.

## ◆ endDocument()

void librevenge::RVNGSVGDrawingGenerator::endDocument | ( |  | ) |
| virtual

Implements librevenge::RVNGDrawingInterface.

## ◆ endEmbeddedGraphics()

void librevenge::RVNGSVGDrawingGenerator::endEmbeddedGraphics | ( |  | ) |
| virtual

Implements librevenge::RVNGDrawingInterface.

## ◆ endLayer()

void librevenge::RVNGSVGDrawingGenerator::endLayer | ( |  | ) |
| virtual

Implements librevenge::RVNGDrawingInterface.

## ◆ endMasterPage()

void librevenge::RVNGSVGDrawingGenerator::endMasterPage | ( |  | ) |
| virtual

Implements librevenge::RVNGDrawingInterface.

## ◆ endPage()

void librevenge::RVNGSVGDrawingGenerator::endPage | ( |  | ) |
| virtual

Implements librevenge::RVNGDrawingInterface.

## ◆ endTableObject()

void librevenge::RVNGSVGDrawingGenerator::endTableObject | ( |  | ) |
| virtual

Called when the current table is closed.

Implements librevenge::RVNGDrawingInterface.

## ◆ endTextObject()

void librevenge::RVNGSVGDrawingGenerator::endTextObject | ( |  | ) |
| virtual

Implements librevenge::RVNGDrawingInterface.

## ◆ insertCoveredTableCell()

void librevenge::RVNGSVGDrawingGenerator::insertCoveredTableCell | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a covered (spanned by another cell in the table) table cell is opened.

Parameters

  propList | Property list for the table cell. May contain: `librevenge:column` Number of the column in which the cell is positioned `librevenge:row` Number of the row in which the cell is positioned

Implements librevenge::RVNGDrawingInterface.

## ◆ insertField()

void librevenge::RVNGSVGDrawingGenerator::insertField | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a field should be inserted.

Field types may include:

- `librevenge:field-type` field types may include:
  1. `text:page-number` Current page number
  2. `text:page-count` Total # of pages in document
- `style:num-format` Type of page number (for page number)

Implements librevenge::RVNGDrawingInterface.

## ◆ insertLineBreak()

void librevenge::RVNGSVGDrawingGenerator::insertLineBreak | ( |  | ) |
| virtual

Called when a line break should be inserted.

Implements librevenge::RVNGDrawingInterface.

## ◆ insertSpace()

void librevenge::RVNGSVGDrawingGenerator::insertSpace | ( |  | ) |
| virtual

Called when an explicit space should be inserted.

Implements librevenge::RVNGDrawingInterface.

## ◆ insertTab()

void librevenge::RVNGSVGDrawingGenerator::insertTab | ( |  | ) |
| virtual

Called when a TAB character should be inserted.

Implements librevenge::RVNGDrawingInterface.

## ◆ insertText()

void librevenge::RVNGSVGDrawingGenerator::insertText | ( | const RVNGString & | text | ) |
| virtual

Called when a string of text should be inserted.

Parameters

  text | A textbuffer encoded as a UTF8 string

Implements librevenge::RVNGDrawingInterface.

## ◆ openGroup()

void librevenge::RVNGSVGDrawingGenerator::openGroup | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGDrawingInterface.

## ◆ openLink()

void librevenge::RVNGSVGDrawingGenerator::openLink | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a link should be opened.

Parameters

  propList | Defines a set of properties for the link. May contain: `xlink:type` . `xlink:href` .

Implements librevenge::RVNGDrawingInterface.

## ◆ openListElement()

void librevenge::RVNGSVGDrawingGenerator::openListElement | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a list element should be opened.

Parameters

  propList | Property list for the paragraph. May contain: `fo:text-align` The justification of this paragraph (left, center, end, full, or justify) `fo:margin-left` The left indentation of this paragraph, in inches `fo:margin-right` The right indentation of this paragraph, in inches `fo:margin-top` The amount of extra spacing to be placed before the paragraph, in inches `fo:margin-bottom` The amount of extra spacing to be placed after the paragraph, in inches `fo:text-indent` The indentation of first line, in inches (difference relative to margin-left) `fo:line-height` The amount of spacing between lines, in number of lines (1.0 is single spacing) `fo:break-before` Whether this paragraph should be placed in a new column or page (the value is set to column or page if so) `librevenge:tab-stops` List of tabstop definitions for the paragraph. If the list is empty, default tabstop definition should be used. Each tab stop may contain: `style:type` Type of tab (left, right, center, or char) `style:char` Alingnment character for char aligned tabs `style:leader-text` The leader character `style:position` Position of the tab

Implements librevenge::RVNGDrawingInterface.

## ◆ openOrderedListLevel()

void librevenge::RVNGSVGDrawingGenerator::openOrderedListLevel | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a new ordered list level should be opened.

Parameters

  propList | Defines a set of properties for the list. May contain: `librevenge:list-id` A unique integer identifier for the list `librevenge:level` The level of the list in the hierarchy `style:num-format` Type of list `style:num-prefix` Text that comes before the number in the list `style:num-suffix` Text that comes after the number in the list `text:start-value` The starting number of the list `text:min-label-width` The distance between the list label and the actual text, stored in inches `text:space-before` The indentation level of the lists, stored in inches

Implements librevenge::RVNGDrawingInterface.

## ◆ openParagraph()

void librevenge::RVNGSVGDrawingGenerator::openParagraph | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a new paragraph is opened.

This (or openListElement) will always be called before any text or span is placed into the document.

Parameters

  propList | Property list for the paragraph. May contain: `fo:text-align` The justification of this paragraph (left, center, end, full, or justify) `fo:margin-left` The left indentation of this paragraph, in inches `fo:margin-right` The right indentation of this paragraph, in inches `fo:margin-top` The amount of extra spacing to be placed before the paragraph, in inches `fo:margin-bottom` The amount of extra spacing to be placed after the paragraph, in inches `fo:text-indent` The indentation of first line, in inches (difference relative to margin-left) `fo:line-height` The amount of spacing between lines, in number of lines (1.0 is single spacing) `fo:break-before` Whether this paragraph should be placed in a new column or page (the value is set to column or page if so) `librevenge:tab-stops` List of tabstop definitions for the paragraph. If the list is empty, default tabstop definition should be used. Each tab stop may contain: `style:type` Type of tab (left, right, center, or char) `style:char` Alingnment character for char aligned tabs `style:leader-text` The leader character `style:position` Position of the tab

Implements librevenge::RVNGDrawingInterface.

## ◆ openSpan()

void librevenge::RVNGSVGDrawingGenerator::openSpan | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a text span is opened.

Parameters

  propList | Property list for the span. May contain: `fo:font-style` Font style (italic or normal) `fo:font-weight` Font style (bold or normal) `style:text-line-through-type` (none, double or single, if present) `style:text-line-through-style` (solid, dotted, dash, long-dash, dot-dash, dot-dot-dash or wave, if present) `style:text-underline-type` (none, double or single, if present) `style:text-underline-style` (solid, dotted, dash, long-dash, dot-dash, dot-dot-dash or wave, if present) `style:text-outline` (true or false) `fo:font-variant` (small-caps, if present) `style:font-name` The name of the font used in the span, a text string in ascii `fo:font-size` The size of the font used in the span, in points (72 points per inch) `fo:color` The color of the font used in the span (encoded in hex: #RRGGBB) `fo:background-color` The background color of the text in the span (encoded in hex: #RRGGBB) `style:text-blinking` Whether the text should blink (true or false) `fo:text-shadow\n` `fo:language\n` \ The language of the text in the span, a valid language code according to ISO 639 `fo:text-shadow`

Implements librevenge::RVNGDrawingInterface.

## ◆ openTableCell()

void librevenge::RVNGSVGDrawingGenerator::openTableCell | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a new table cell is opened.

Parameters

  propList | Property list for the table cell. May contain: `librevenge:column` Number of the column in which the cell is positioned `librevenge:row` Number of the row in which the cell is positioned `table:number-columns-spanned` Number of columns that the cell spans `table:number-rows-spanned` Number of rows that the cell spans `fo:border-left` Properties of the left border of the cell `fo:border-right` Properties of the right border of the cell `fo:border-top` Properties of the top border of the cell `fo:border-bottom` Properties of the bottom border of the cell `fo:background-color` Color of the cell (encoded in hex: #RRGGBB) `style:vertical-align` Vertical alignment of the content in the cell (top, middle, or bottom)

Implements librevenge::RVNGDrawingInterface.

## ◆ openTableRow()

void librevenge::RVNGSVGDrawingGenerator::openTableRow | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a new table row is opened.

Parameters

  propList | Defines a set of properties for the table row. May contain: `style:row-height` The row's height, in inches `style:min-row-height` The row's minimum height, in inches `librevenge:is-header-row` This row contains headings of columns and should repeat at every page (for tables that span several pages)

Implements librevenge::RVNGDrawingInterface.

## ◆ openUnorderedListLevel()

void librevenge::RVNGSVGDrawingGenerator::openUnorderedListLevel | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a new unordered list level should be opened.

Parameters

  propList | Defines a set of properties for the list level. May contain: `librevenge:list-id` A unique integer identifier for the list `librevenge:level` The level of the list in the hierarchy `text:bullet-char` The string that should be used as a bullet `text:min-label-width` The distance between the bullet and the actual text, stored in inches `text:space-before` The indentation level of the lists, stored in inches

Implements librevenge::RVNGDrawingInterface.

## ◆ operator=()

RVNGSVGDrawingGenerator & librevenge::RVNGSVGDrawingGenerator::operator= | ( | const RVNGSVGDrawingGenerator & |  | ) |
| private

## ◆ setDocumentMetaData()

void librevenge::RVNGSVGDrawingGenerator::setDocumentMetaData | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when all document metadata should be set.

This is always the first callback made.

Parameters

  propList | Property list for the metadata. May contain: `dc:creator` `dc:language` The document's keywords `dc:publisher` The document's publisher `dc:source` `dc:subject` The document's subject `dc:type` The document's type `dcterms:available` Date when the document was completed `dcterms:issued:` Date of the version of the document `librevenge:abstract` Abstract of the document's contents `librevenge:account` Account `librevenge:address` Address `librevenge:attachments` `librevenge:authorization` `librevenge:bill-to` `librevenge:blind-copy` `librevenge:carbon-copy` `librevenge:checked-by` `librevenge:client` `librevenge:comments` `librevenge:department` `librevenge:descriptive-name` The descriptive name for the document `librevenge:descriptive-type` The descriptive type for the document `librevenge:destination` `librevenge:disposition` `librevenge:division` `librevenge:document-number` `librevenge:editor` `librevenge:forward-to` `librevenge:group` `librevenge:mail-stop` `librevenge:matter` `librevenge:office` `librevenge:owner` `librevenge:project` `librevenge:purpose` `librevenge:received-from` `librevenge:recorded-by` `librevenge:recorded-date` Date when the document was recorded `librevenge:reference` `librevenge:revision-notes` `librevenge:revision-number` `librevenge:section` `librevenge:security` `librevenge:status` `librevenge:telephone-number` `librevenge:version-notes` `librevenge:version-number` `meta:creation-date` Document creation date `meta:initial-creator` The document's author `meta:keyword` The document's keywords ``

Implements librevenge::RVNGDrawingInterface.

## ◆ setStyle()

void librevenge::RVNGSVGDrawingGenerator::setStyle | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGDrawingInterface.

## ◆ startDocument()

void librevenge::RVNGSVGDrawingGenerator::startDocument | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGDrawingInterface.

## ◆ startEmbeddedGraphics()

void librevenge::RVNGSVGDrawingGenerator::startEmbeddedGraphics | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGDrawingInterface.

## ◆ startLayer()

void librevenge::RVNGSVGDrawingGenerator::startLayer | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGDrawingInterface.

## ◆ startMasterPage()

void librevenge::RVNGSVGDrawingGenerator::startMasterPage | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGDrawingInterface.

## ◆ startPage()

void librevenge::RVNGSVGDrawingGenerator::startPage | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGDrawingInterface.

Referenced by startMasterPage().

## ◆ startTableObject()

void librevenge::RVNGSVGDrawingGenerator::startTableObject | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a table should be opened.

Parameters

  propList | Defines a set of properties for the table. May contain: `table:align` The alignment (left, right, center, or margins) `fo:margin-left` The left indentation of the table, in inches `fo:margin-right` The right indentation of the table, in inches `style:width` Total width of the table, in inches `fo:break-before` Whether this table should be placed in a new column or page (the value is set to column or page if so) `librevenge:table-columns` Column definitions for the table. May contain `style:column-width` Width of a column, in inches

Implements librevenge::RVNGDrawingInterface.

## ◆ startTextObject()

void librevenge::RVNGSVGDrawingGenerator::startTextObject | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGDrawingInterface.

## Member Data Documentation

## ◆ m_pImpl

RVNGSVGDrawingGeneratorPrivate* librevenge::RVNGSVGDrawingGenerator::m_pImpl
| private

Referenced by closeGroup(), closeSpan(), closeTableCell(), closeTableRow(), defineCharacterStyle(), drawEllipse(), drawGraphicObject(), drawPath(), drawPolygon(), drawPolyline(), drawRectangle(), endLayer(), endMasterPage(), endPage(), endTableObject(), endTextObject(), insertCoveredTableCell(), insertLineBreak(), insertSpace(), insertTab(), insertText(), openGroup(), openSpan(), openTableCell(), openTableRow(), setStyle(), startLayer(), startMasterPage(), startPage(), startTableObject(), startTextObject(), and ~RVNGSVGDrawingGenerator().

The documentation for this class was generated from the following files:

- RVNGSVGDrawingGenerator.h
- RVNGSVGDrawingGenerator.cpp